import { connect } from "react-redux";

import { setNextLevel, setDashboardNLLoading, setTopTen, setDashboardTTLoading } from "../actions";

import { ILevel } from "../models/level";

import DashboardPage from "../pages/dashboard";

const mapStateToProps = state => {
    return {
        nextLevel: state.nextLevel,
        loadingNextLevel: state.dashboard.loadingNL,
        loadingTopTen: state.dashboard.loadingTT,
        topTen: state.topTen,
    };
};
const mapDispatchToProps = dispatch => {
    return {
        setLoadingNL: (state: boolean) => dispatch(setDashboardNLLoading(state)),
        setNextLevel: (level: ILevel) => dispatch(setNextLevel(level)),
        setTopTen: (topTen: ILearner[]) => dispatch(setTopTen(topTen)),
        setLoadingTT: (state: boolean) => dispatch(setDashboardTTLoading(state)),
    }
};

const DashboardContainer = connect(mapStateToProps,
    mapDispatchToProps)(DashboardPage);
export default DashboardContainer;
